com.amazonaws.codegen.model.intermediate

## Class ShapeMarshaller

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.ShapeMarshaller

    public class ShapeMarshaller
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ShapeMarshaller()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAction()`
`String` `getLocationName()`
`String` `getRequestUri()`
`String` `getTarget()`
`String` `getVerb()`
`String` `getXmlNameSpaceUri()`
`void` `setAction(String action)`
`void` `setLocationName(String locationName)`
`void` `setRequestUri(String requestUri)`
`void` `setTarget(String target)`
`void` `setVerb(String verb)`
`void` `setXmlNameSpaceUri(String xmlNameSpaceUri)`
`ShapeMarshaller` `withAction(String action)`
`ShapeMarshaller` `withLocationName(String locationName)`
`ShapeMarshaller` `withRequestUri(String requestUri)`
`ShapeMarshaller` `withTarget(String target)`
`ShapeMarshaller` `withVerb(String verb)`
`ShapeMarshaller` `withXmlNameSpaceUri(String xmlNameSpaceUri)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShapeMarshaller

    public ShapeMarshaller()

### Method Detail

#### getAction

    public String getAction()

#### setAction

    public void setAction(String action)

#### withAction

    public ShapeMarshaller withAction(String action)

#### getVerb

    public String getVerb()

#### setVerb

    public void setVerb(String verb)

#### withVerb

    public ShapeMarshaller withVerb(String verb)

#### getTarget

    public String getTarget()

#### setTarget

    public void setTarget(String target)

#### withTarget

    public ShapeMarshaller withTarget(String target)

#### getRequestUri

    public String getRequestUri()

#### setRequestUri

    public void setRequestUri(String requestUri)

#### withRequestUri

    public ShapeMarshaller withRequestUri(String requestUri)

#### getLocationName

    public String getLocationName()

#### setLocationName

    public void setLocationName(String locationName)

#### withLocationName

    public ShapeMarshaller withLocationName(String locationName)

#### getXmlNameSpaceUri

    public String getXmlNameSpaceUri()

#### setXmlNameSpaceUri

    public void setXmlNameSpaceUri(String xmlNameSpaceUri)

#### withXmlNameSpaceUri

    public ShapeMarshaller withXmlNameSpaceUri(String xmlNameSpaceUri)